package com.dxhy.core.entity;

import java.io.Serializable;

import lombok.Data;

/**
 * @author user
 */
@Data
public class TicketInvoiceModel implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * id
     */
    private String id;
    /**
     * 序号
     */
    private String xh;

    /**
     * 发票代码
     */
    private String invoiceCode;

    /**
     * 发票号码
     */
    private String invoiceNo;

    /**
     * 发票类型90 飞机行程单 89 实名公路客票 92 火车票 88-实名水路客票 87 其他实名客票 10-增值税电子普通发票
     */
    private String invoiceType;

    /**
     * 开票日期
     */
    private String invoiceDate;
    /**
     * 销方名称
     */
    private String xfName;

    /**
     * 乘坐人
     */
    private String passenger;
    /**
     * 金额
     */
    private String invoiceAmount;
    /**
     * 税额
     */
    private String taxAmount;
    /**
     * 税率
     */
    private String taxRate;
    /**
     * 证件号
     */
    private String passengerSfzh;
    /**
     * 本次/车次
     */
    private String trainNumber;

    /**
     * 签收方式（0-扫码签收 1-扫描仪签收 2-app签收 3-导入签收 4-手工签收5-pdf上传签收
     */
    private String qsType;
    /**
     * 签收状态
     *
     */
    private String qsStatus;
    /**
     * 签收日期
     *
     */
    private String qsDate;
    /**
     * 签收人
     *
     *
     */
    private String qsName;

    /**
     * 票据来源
     *
     *
     */
    private String lybz;
    /**
     * 是否可抵扣
     *
     */
    private String isDeduction;

    private String sourceSystem;
    /** 业务单号 */
    private String businessDocumentNumber;
    private String createDate;

    private String bzdh;
    private String inAccountStatus;
    private String snVoucherNumber;
    private String postingTime;
    private String imageId;
    private String accountPeriod;
    private String compCode;
    private String bzr;
}
