package com.dxhy.core.model;

import java.io.Serializable;

import lombok.Data;

/**
 * 海关缴款书综合查询返回对象
 * 
 * @author user
 */
@Data
public class JkszhcxRespVO implements Serializable {

    /**
     * 入账月份
     */
    private String inAccountDate;

    /**
     * 入账状态
     */
    private String inAccountStatus;

    /**
     * 凭证号
     */
    private String voucherNumber;

    /**
     * 业务单据编号
     */
    private String documentNumber;

    /**
     * ID
     */
    private String id;

    /**
     * 序号
     */
    private String xh;

    /**
     * 缴款书号码
     */
    private String customsCode;

    /**
     * 填发日期
     */
    private String fillInDate;

    /**
     * 缴款单位税号
     */
    private String gfTaxNo;

    /**
     * 缴款单位名称
     */
    private String gfName;

    /**
     * 税额
     */
    private String taxAmount;

    /**
     * 有效税额
     */
    private String yxTaxAmount;

    /**
     * 稽核结果
     */
    private String auditStatus;

    /**
     * 是否申请核对
     */
    private String applyCheck;

    /**
     * 核查结果
     */
    private String checkStatus;

    /**
     * 签收状态
     */
    private String qsStatus;

    /**
     * 签收日期
     */
    private String qsDate;

    /**
     * 签收方式
     */
    private String qsType;

    /**
     * 签收人
     */
    private String qsUser;

    /**
     * 认证时间
     */
    private String rzhDate;

    /**
     * 认证状态
     */
    private String rzhYesorno;

    /**
     * 认证处理状态
     */
    private String authStatus;

    /**
     * 认证类型
     */
    private String bdkStatus;

    /**
     * 认证人
     */
    private String confirmUser;
    /**
     * 税款所属期
     */
    private String rzhBelongDate;

    /**
     * 管理状态
     */
    private String glzt;

    private String businessName;

    private String rzlx;

    private String createDate;

    private String dataSources;

    /**
     * 认证方式
     */
    private String rzhType;

    private String snVoucherNumber;
    private String postingTime;
    private String imageId;
    private String accountPeriod;
    private String compCode;
    private String bzdh;
    private String bzr;
}
