package com.dxhy.extend.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

/**
 * @author dxhy
 */
@Data
public class ExtOtherInvoice implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * id
     */
    private String id;
    /**
     * 序号
     */
    private String xh;
    /**
     * 发票类型
     */
    private String invoiceType;
    /**
     * 发票代码
     */
    private String invoiceCode;

    /**
     * 发票号码
     */
    private String invoiceNo;
    /**
     * 开票日期
     */
    private String invoiceDate;
    /**
     * 金额
     */
    private String invoiceAmount;
    /**
     * 签收方式（0-扫码签收 1-扫描仪签收 2-app签收 3-导入签收 4-手工签收5-pdf上传签收
     */
    private String qsfs;
    /** 签收状态 */
    private String qszt;
    /** 签收日期 */
    private String qsrq;
    /** 签收人 */
    private String qsr;
    /** 票据来源 */
    private String sourceSystem;
    /** uuid */
    private String uuid;
    /** 唯一标识 */
    private String selectId;
    private String scanId;

    private String invoiceTypeString;
    /** 业务单号 */
    private String businessDocumentNumber;
    private String createDate;
    private String taxAmount;
    private String voucherNo;
    private String postingTime;
    @TableField("image_id")
    private String imageNumber;
    private String accountPeriod;
    private String inAccountStatus;
    private String bzdh;
    private String snVoucherNumber;
    private String compCode;
    private String bzr;
}
